com.streambase.liveview.client

## Class HashableTuple

- java.lang.Object
- - com.streambase.liveview.client.HashableTuple

- All Implemented Interfaces:
    KeyValue

      public abstract class HashableTuple
      extends Object
      implements KeyValue

  HashableTuple is a wrapper for Tuples from a single Query so they can be stored in a HashSet. If the two wrapped Tuples have the same values for the Query's key fields, then the HashableTuples will have the same hashCode and will return true from .equals()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Tuple` | `tuple`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashableTuple(Tuple tuple)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `equals(Object other)`
    `abstract String` | `getValueAsUniqueString()` Returns an opaque unique String that can be used to identify this tuple.
    `abstract int` | `hashCode()` Returns a int hashcode for this KeyValue.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tuple

          protected final Tuple tuple

  - ### Constructor Detail

    - #### HashableTuple

          public HashableTuple(Tuple tuple)

  - ### Method Detail

    - #### equals

          public abstract boolean equals(Object other)

      Specified by:
        `equals` in interface `KeyValue`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public abstract int hashCode()

      Description copied from interface: `KeyValue`
      Returns a int hashcode for this KeyValue. hashcodes may collide for complex keys in large result sets.
      Specified by:
        `hashCode` in interface `KeyValue`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        32 bit hashcode for this KeyValue

    - #### getValueAsUniqueString

          public abstract String getValueAsUniqueString()

      Description copied from interface: `KeyValue`
      Returns an opaque unique String that can be used to identify this tuple. What this String looks like may change from release to release so should not be persisted.
      Specified by:
        `getValueAsUniqueString` in interface `KeyValue`
      Returns:
        - Unique String that identifies this KeyValue

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.